#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>
#include <string.h>

#include "archive_append.h"

char g_input_filename[1024];
int g_outfile = 0;

int main( int argc, char **argv ) {
	char *outfilename;
	unsigned int fsize;
	
	if (argc < 2) {
		fprintf(stderr, "Usage: %s [outfile | -] < filelist\n", argv[0]);
		return 1;
	}

	outfilename = argv[1];

	if (!strcmp(outfilename, "-")) {
		g_outfile = 1;
	} else {
		if ((g_outfile=open(outfilename, O_WRONLY|O_TRUNC|O_CREAT, 0666)) == -1) {
			fprintf(stderr, "Unable to open output file %s: %s\n", outfilename, strerror(errno));
			return 1;
		}
	}

	fsize = 0;
	write(g_outfile, &fsize, 4);

	while (fgets(g_input_filename, sizeof(g_input_filename), stdin)) {
		if (g_input_filename[strlen(g_input_filename)-1] == '\n')
			g_input_filename[strlen(g_input_filename)-1] = '\0';
        if (g_input_filename[0] == '\0')
            continue;
		if (archive_append_file(g_outfile, g_input_filename) != 0) {
			fprintf(stderr, "Error appending file %s: %s\n", g_input_filename, strerror(errno));
			return 1;
		}
	}

	fsize = lseek(g_outfile, 0, SEEK_CUR);
	if (fsize > 0) {
		lseek(g_outfile, 0, SEEK_SET);
		write(g_outfile, &fsize, 4);
	}

	close(g_outfile);
	
	return 0;
}
