AERTREE_DEPENDS := $(DIR_STAGE)/debootstrap \
			   	   $(DIR_STAGE)/packages


$(DIR_STAGE)/aertree: $(AERTREE_DEPENDS) $(DIR_STAGE)/.package.setup $(DIR_STAGE)/.package.tools envstrip
	-rm -f $@
	mkdir -p $(DIR)/aer
	rsync -a --include-from=$(DATA_DIR)/aer.include /aer/* $(DIR)/aer/
	source /aer/prg/bash/aer.sh; set -e; \
		if [ -n "$$STATIONS" ]; then \
			for stn in $$STATIONS; do \
				mkdir -p $(DIR)/aer/$$stn/log; \
			done \
		fi
	mkdir -p $(DIR)/aer/doc/drawings/stn
	source /aer/prg/bash/aer.sh; set -e; \
		if [ -n "$$STATIONS" ]; then \
			cd /aer/doc/drawings/stn; \
			for stn in $$STATIONS; do \
				INFILE=`ls -tr . | grep -i "^$$stn.*\.pdf\$$" | tail -n 1`; \
				if ! [ -z "$${INFILE}" ] && [ -r "$${INFILE}" ]; then \
					USTN=`echo $$stn | tr a-z A-Z`; \
					cp "$${INFILE}" "$(DIR)/aer/doc/drawings/stn/$${USTN}.pdf"; \
				fi \
			done \
		fi
	touch $@

TARGETS += $(DIR_STAGE)/aertree
