DEBOOTSTRAP_VERSION := 1.0.20
DEBOOTSTRAP_FILE := debootstrap_$(DEBOOTSTRAP_VERSION)_all.deb
DEBOOTSTRAP_URL := $(DEBIAN_MIRROR)/pool/main/d/debootstrap/$(DEBOOTSTRAP_FILE)

$(DIR_STAGE)/debootstrap: $(DLLOC)/$(DEBOOTSTRAP_FILE) $(DIR_STAGE)/.package.setup $(DIR_STAGE)/.package.tools envstrip
	@$(NSCD_CHECK)
	-rm -f $@
	-rm -rf $(DIR_BASE)/debootstrap
	-rm -rf $(DIR)
	-mkdir -p $(DIR_BASE)/debootstrap
	( cd $(DIR_BASE)/debootstrap && \
		ar -p $(DLLOC)/$(DEBOOTSTRAP_FILE) data.tar.gz | tar xfz - )
	$(APT_SYNCIN)
	mkdir -p $(DIR)
	mkdir -p $(DIR)/etc
	mkdir -p $(DIR)/bin
	mkdir -p $(DIR)/dev/pts $(DIR)/dev/shm
	cp $(DATA_DIR)/nsswitch.conf $(DATA_DIR)/finalize.img/etc/group $(DATA_DIR)//finalize.img/etc/passwd $(DIR)/etc/
	cp data/imglibs $(DIR)/bin/imglibs
	ln -fs $(DIR)/lib/libreadline.so.5 $(TOOLS_DIR)/libreadline.so.5
	-rm -f $(LIVECPD2)/root/fakeroot.sav
	touch $(LIVECPD2)/root/fakeroot.sav
	$(IMGSETRECURLINK)
	./envstrip /bin/bash -c '\
		LANG=C \
		USER=$(USER) \
		HOSTNAME=$(HOSTNAME) \
		PATH=$(TOOLS_DIR):/sbin:/usr/sbin:/bin:/usr/bin \
		DEBOOTSTRAP_DIR=$(DIR_BASE)/debootstrap/usr/share/debootstrap \
		TERM=xterm-color \
		$(TOOLS_DIR)/fakeroot -s $(LIVECPD2)/root/fakeroot.sav -- \
		$(TOOLS_DIR)/fakechroot -- \
		$(DIR_BASE)/debootstrap/usr/sbin/debootstrap \
		--variant=fakechroot \
		--arch i386 \
		$(DEBIAN_RELEASE) \
		$(DIR) \
		$(DEBIAN_MIRROR) \
	'
	$(IMGRMRECURLINK)
	sed \
		-e 's|!MIRROR!|$(DEBIAN_MIRROR)|g' \
		-e 's|!RELEASE!|$(DEBIAN_RELEASE)|g' \
		< data/sources.list > $(DIR)/etc/apt/sources.list
	$(IMGEXECB) aptitude -y update $(IMGEXECE)
	$(IMGEXECB) aptitude -y upgrade $(IMGEXECE)
	-mkdir -p $(DLLOC)/apt
	$(APT_SYNCOUT)
	-rm -rf $(DIR)/dev
	mkdir -p $(DIR)/dev
	find /dev -mindepth 1 -maxdepth 1 -exec ln -s \{\} $(DIR)\{\} \;
	-rm -f $(DIR)/dev/MAKEDEV
	-rm -rf $(DIR)/sys
	ln -s /sys $(DIR)/sys
	touch $@

$(DLLOC)/$(DEBOOTSTRAP_FILE):
	-rm -f $@
	 wget -O $@ $(DEBOOTSTRAP_URL)


TARGETS += $(DIR_STAGE)/debootstrap
