FAKEROOT_VERSION := 1.12.2
FAKEROOT_FILE := fakeroot_$(FAKEROOT_VERSION).tar.gz
FAKEROOT_URL := $(DEBIAN_MIRROR)/pool/main/f/fakeroot/$(FAKEROOT_FILE)
FAKEROOT_DIR := fakeroot-$(FAKEROOT_VERSION)
FAKEROOT_STAGING_DIR := $(DIR_BASE)/fakeroot-staging

$(DIR_STAGE)/fakeroot: $(DLLOC)/$(FAKEROOT_FILE)
	-rm -f $@
	-rm -rf $(FAKEROOT_STAGING_DIR) $(DIR_BASE)/$(FAKEROOT_DIR)
	-mkdir -p $(DIR_BASE)
	( cd $(DIR_BASE) && tar xfz $(DLLOC)/$(FAKEROOT_FILE) )
	( cd $(DIR_BASE)/$(FAKEROOT_DIR) && ./configure \
		--prefix=/usr \
		--with-ipc=tcp \
		--disable-nls \
	)
	$(MAKE) -C $(DIR_BASE)/$(FAKEROOT_DIR)
	$(MAKE) DESTDIR=$(FAKEROOT_STAGING_DIR) -C $(DIR_BASE)/$(FAKEROOT_DIR) install
	-mkdir -p $(TOOLS_DIR)
	cp -a $(FAKEROOT_STAGING_DIR)/usr/lib/libfakeroot*.so $(TOOLS_DIR)/
	cp -a $(FAKEROOT_STAGING_DIR)/usr/bin/* $(TOOLS_DIR)/
	-rm -rf $(FAKEROOT_STAGING_DIR)
	sed -i \
		-e 's,^PREFIX=.*,PREFIX=$(TOOLS_DIR),g' \
		-e 's,^BINDIR=.*,BINDIR=$(TOOLS_DIR),g' \
		-e 's,^PATHS=.*,PATHS=$(TOOLS_DIR):/lib:/usr/lib,g' \
		$(TOOLS_DIR)/fakeroot
	-mkdir -p $(DIR_STAGE)
	touch $@

$(DLLOC)/$(FAKEROOT_FILE):
	-rm -f $@
	 wget -O $@ $(FAKEROOT_URL)


TARGETS += $(DIR_STAGE)/fakeroot
.PHONY: fakeroot
fakeroot: $(DIR_STAGE)/fakeroot
