NTPD_VERSION := 4.2.6
NTPD_FILE := ntp-$(NTPD_VERSION).tar.gz
NTPD_URL := http://www.eecis.udel.edu/~ntp/ntp_spool/ntp4/$(NTPD_FILE)
NTPD_DIR := ntp-$(NTPD_VERSION)

NTPD_DEPENDS := $(DIR_STAGE)/debootstrap \
				$(DIR_STAGE)/packages

$(DIR_STAGE)/ntpd: $(NTPD_DEPENDS) $(DLLOC)/$(NTPD_FILE) $(DIR_STAGE)/.package.setup $(DIR_STAGE)/.package.tools envstrip
	-rm -f $@
	-rm -rf $(DIR)/tmp/$(NTPD_DIR) 
	-mkdir -p $(DIR)/tmp
	( cd $(DIR)/tmp && tar xfz $(DLLOC)/$(NTPD_FILE) )
	( cd $(DIR)/tmp/$(NTPD_DIR); cat $(LIVECPD2)/root/patches/ntpd.*.patch | patch -p1 )
	-echo -e "#!/bin/bash\n \
		cd /tmp/$(NTPD_DIR) || exit 1\n \
		./configure --prefix=/usr || exit 1\n \
		make || exit 1\n \
		make install || exit 1" > $(DIR)/tmp/$(NTPD_DIR)/.exec
	-chmod 0755 $(DIR)/tmp/$(NTPD_DIR)/.exec
	$(IMGEXECNRB) /tmp/$(NTPD_DIR)/.exec $(IMGEXECNRE)
	-rm -rf $(DIR)/tmp/$(NTPD_DIR)
	touch $@

$(DLLOC)/$(NTPD_FILE):
	-rm -f $@
	 wget -O $@ $(NTPD_URL)


TARGETS += $(DIR_STAGE)/ntpd
.PHONY: ntpd
ntpd: $(DIR_STAGE)/ntpd
