PACKAGES_DEPENDS := $(DIR_STAGE)/debootstrap

PACKAGES_DISABLE := /usr/sbin/gconf-schemas /usr/bin/gconftool /usr/bin/gconftool-2 /usr/sbin/update-gconf-defaults /usr/bin/gconf-merge-tree /usr/bin/dbus-send /usr/sbin/adduser /usr/sbin/addgroup /usr/sbin/invoke-rc.d /bin/chown /bin/chgrp /usr/bin/fc-cache
PACKAGES_CONFIG := /etc/samba/smb.conf

PACKAGES_INSTALL := $(shell perl -ne 'chomp; s/\#.*$$//; s/^\s+//; next if /^$$/; print "$$_ ";' data/packages.install)

BASE_DIR := $(shell readlink -f $(DIR) | sed -re 's!/[^/]+$$!!')
LINK_TARGET := $(shell readlink -f $(DIR) | sed -re 's!^.*/([^/]+)$$!\1!')

DISABLE_EXEC := set -e; for dis in $(PACKAGES_DISABLE); do \
					if [ -e "$(DIR)/$$dis" ] && \
							[ ! -e "$(DIR)/$${dis}.REAL" ]; then \
						mv $(DIR)/$$dis $(DIR)/$$dis.REAL; \
						ln -s /bin/true $(DIR)/$$dis; \
					fi \
				done


$(DIR_STAGE)/packages: $(PACKAGES_DEPENDS) $(DIR_STAGE)/.package.setup $(DIR_STAGE)/.package.tools envstrip
	@$(NSCD_CHECK)
	-rm -f $@
	-mkdir -p $(DIR)/etc/apt/apt.conf.d
	-mkdir -p $(DIR)/etc/X11 $(DIR)/etc/samba $(DIR)/var/lib/samba/usershares
	set -e; for cfg in $(PACKAGES_CONFIG); do \
		rm -f  $(DIR)/$$cfg || true; \
		cp -a $(DATA_DIR)/finalize.img/$$cfg $(DIR)/$$cfg; \
	done
	$(APT_SYNCIN)
	$(DISABLE_EXEC)
	$(IMGSETRECURLINK)
	$(IMGEXECB) imglibs aptitude --without-recommends -y install gconf2 $(IMGEXECE)
	$(IMGEXECBR) LANG=C HOSTNAME=$(HOSTNAME) \
		PATH=$(TOOLS_DIR):/sbin:/usr/sbin:/bin:/usr/bin \
		DEBIAN_PRIORITY=critical TERM=xterm-color \
		$(IMGEXECBO) \
			aptitude --without-recommends -y install console-data \
		$(IMGEXECE)
	-rm -f $(DIR)/tmp/debconf.override
	cp data/debconf.override $(DIR)/tmp/debconf.override
	$(IMGEXECB) debconf-set-selections /tmp/debconf.override $(IMGEXECE)
	-rm -f $(DIR)/tmp/debconf.override
	$(DISABLE_EXEC)
	-mkdir -p $(DIR)$(BASE_DIR)
	-rm -f $(DIR)$(BASE_DIR)/$(LINK_TARGET)
	ln -s ../../../../.. $(DIR)$(BASE_DIR)/$(LINK_TARGET)
	$(IMGEXECB) aptitude --without-recommends -y install hal $(IMGEXECE)
	$(DISABLE_EXEC)
	-$(IMGEXECB) aptitude --without-recommends -y install fontconfig $(IMGEXECE)
	$(DISABLE_EXEC)
	-rm -f $(LIVECPD2)/root/fakeroot.sav
	touch $(LIVECPD2)/root/fakeroot.sav
	$(IMGEXECB) aptitude --without-recommends -y install $(PACKAGES_INSTALL) $(IMGEXECE)
	$(IMGRMRECURLINK)
	$(APT_SYNCOUT)
	set -e; for dis in $(PACKAGES_DISABLE); do \
		if [ -e "$(DIR)/$${dis}.REAL" ]; then \
			rm -f $(DIR)/$$dis || true; \
			mv $(DIR)/$$dis.REAL $(DIR)/$$dis; \
		fi \
	done
	rsync -a --cvs-exclude $(LIVECPD2)/kernel/include $(DIR)/usr
	-mkdir -p $(DIR)/usr/java
	-rm -f $(DIR)/usr/java/latest
	ln -s $(DIR)/usr/lib/jvm/java-6-sun $(DIR)/usr/java/latest
	-ln -s libperl.so.5.10 $(DIR)/usr/lib/libperl.so
	touch $@

TARGETS += $(DIR_STAGE)/packages
